
/* E V E N T S */

.event-widget.ndk-events {
    max-width: 640px;
    margin: 0 auto 40px;
}

.event-widget.ndk-events .ndk-events-list .ect-minimal-list-wrapper {
    display: flex;
    flex-direction: column;
    margin: 0;
}
.event-widget.ndk-events .ndk-events-list .ect-minimal-list-wrapper>div {
    margin: 0 auto 20px;
    padding-bottom: 20px;
    border-bottom: 2px dotted var(--divider);
    display: flex;
    align-items: flex-start;
    width: 100%;
    max-width: 100%;
}
.event-widget.ndk-events .ndk-events-list .ect-minimal-list-wrapper>div:last-child {
    border: 0;
    padding: 0;
}
.event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-event-date {
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: 'fontDisplay' !important;
    justify-content: center;
    gap: 6px;
    width: 70px;
    font-weight: 700;
    color: var(--second);
    height: fit-content;
    padding: 4px 8px;
}
.event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-event-date>* {
    font-family: 'fontDisplay' !important;
}
.event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-event-date span {
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-size: 14px;
    font-family: 'fontDisplay' !important;
    padding: 0;
}
.event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-event-date span.ect-month:after {
    display: none;  
}
.event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-event-date span:first-child {
    font-weight: 800;
    font-size: 30px;
    font-family: 'fontDisplay' !important;
    line-height: 1;
    margin: 0;
}
.event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-event-date + .ect-right-wrapper {
    display: flex;
    flex-direction: column;
    flex: auto;
    width: inherit;
    gap: 8px;
    padding: 4px 8px;
}
.event-widget.ndk-events .ndk-events-list .ect-list-posts span.ect-event-title {
    text-transform: inherit;
    font-size: 18px;
    margin-bottom: 0;
    padding: 0;
    line-height: 1.2;
    color: var(--emph);
    display: block;
    font-weight: 700;
}
.event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-right-wrapper span.ect-event-title>a {
    line-height: 1.2 !important;
    display: block;
    color: var(--link) !important;
}
.event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-right-wrapper span.ect-event-title>a:hover {
    color: var(--linkhover) !important;
    text-decoration: none;
}
.event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-right-wrapper div>a {
    border-bottom: 2px solid var(--divider);
    line-height: 1.5;
    font-family: 'fontDisplay' !important;
    font-weight: 600;
    color: var(--link) !important;
}
.event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-right-wrapper div>a:hover {
    text-decoration: none;
    border-bottom: 2px solid var(--linkhover);
    color: var(--linkhover) !important;
}

@media (max-width: 840px) {
    .event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-right-wrapper div>a {
        font-size: 15px;
    }
}
@media (max-width: 580px) {
    .event-widget.ndk-events {
        margin-bottom: 20px;
    }
    .event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-event-date {
        width: 60px;
        padding-left: 0;
    }
    .event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-event-date + .ect-right-wrapper {
        gap: 6px;
        padding-right: 0;
    }
    .event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-right-wrapper span.ect-event-title a {
        font-size: 17px !important;
    }
}
@media (max-width: 380px) {
    .event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-right-wrapper span.ect-event-title a {
        font-size: 16px !important;
    }
}
@media (max-width: 380px) {
    .event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-event-date {
        padding-right: 0;
    }
    .event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-event-date span:first-child {
        font-size: 28px;
    }
    .event-widget.ndk-events .ndk-events-list .ect-list-posts .ect-event-date span {
        font-size: 12px;
    }
}

